;; anthy-dvorakjp.el

;; add following 2 lines to ~/.emacs
;; (load-library "anthy-dvorakjp")
;; (anthy-dvorakjp-mode)
;;

(defvar anthy-dvorakjp-mode-hiragana-map
  '(
    ("-" . "$B!<(B") ("a" . "$B$"(B") ("i" . "$B$$(B") ("u" . "$B$&(B") ("e" . "$B$((B")
    ("o" . "$B$*(B") ("xa" . "$B$!(B") ("xi" . "$B$#(B") ("xu" . "$B$%(B") ("xe" . "$B$'(B")
    ("xo" . "$B$)(B") ("xca" . "$B%u(B") ("xce" . "$B%v(B") ("xya" . "$B$c(B") ("xyu" . "$B$e(B")
    ("xyo" . "$B$g(B") ("xka" . "$B%u(B") ("xke" . "$B%v(B") ("xtu" . "$B$C(B") ("la" . "$B$!(B")
    ("li" . "$B$#(B") ("lu" . "$B$%(B") ("le" . "$B$'(B") ("lo" . "$B$)(B") ("lca" . "$B%u(B")
    ("lce" . "$B%v(B") ("lka" . "$B%u(B") ("lke" . "$B%v(B") ("lya" . "$B$c(B") ("lyu" . "$B$e(B")
    ("lyo" . "$B$g(B") ("lha" . "$B$c(B") ("lhu" . "$B$e(B") ("lho" . "$B$g(B") ("ltu" . "$B$C(B")
    ("ka" . "$B$+(B") ("ki" . "$B$-(B") ("ku" . "$B$/(B") ("ke" . "$B$1(B") ("ko" . "$B$3(B")
    ("ca" . "$B$+(B") ("ci" . "$B$-(B") ("cu" . "$B$/(B") ("ce" . "$B$1(B") ("co" . "$B$3(B")
    ("sa" . "$B$5(B") ("si" . "$B$7(B") ("su" . "$B$9(B") ("se" . "$B$;(B") ("so" . "$B$=(B")
    ("ta" . "$B$?(B") ("ti" . "$B$A(B") ("tu" . "$B$D(B") ("te" . "$B$F(B") ("to" . "$B$H(B")
    ("na" . "$B$J(B") ("ni" . "$B$K(B") ("nu" . "$B$L(B") ("ne" . "$B$M(B") ("no" . "$B$N(B")
    ("ha" . "$B$O(B") ("hi" . "$B$R(B") ("hu" . "$B$U(B") ("he" . "$B$X(B") ("ho" . "$B$[(B")
    ("ma" . "$B$^(B") ("mi" . "$B$_(B") ("mu" . "$B$`(B") ("me" . "$B$a(B") ("mo" . "$B$b(B")
    ("ya" . "$B$d(B") ("yi" . "$B$$(B") ("yu" . "$B$f(B") ("ye" . "$B$$$'(B") ("yo" . "$B$h(B")
    ("ra" . "$B$i(B") ("ri" . "$B$j(B") ("ru" . "$B$k(B") ("re" . "$B$l(B") ("ro" . "$B$m(B")
    ("wa" . "$B$o(B") ("wi" . "$B$&$#(B") ("wu" . "$B$&(B") ("we" . "$B$&$'(B") ("wo" . "$B$r(B")
    ("wyi" . "$B$p(B") ("wye" . "$B$q(B") ("ga" . "$B$,(B") ("gi" . "$B$.(B") ("gu" . "$B$0(B")
    ("ge" . "$B$2(B") ("go" . "$B$4(B") ("za" . "$B$6(B") ("zi" . "$B$8(B") ("zu" . "$B$:(B")
    ("ze" . "$B$<(B") ("zo" . "$B$>(B") ("da" . "$B$@(B") ("di" . "$B$B(B") ("du" . "$B$E(B")
    ("de" . "$B$G(B") ("do" . "$B$I(B") ("ba" . "$B$P(B") ("bi" . "$B$S(B") ("bu" . "$B$V(B")
    ("be" . "$B$Y(B") ("bo" . "$B$\(B") ("pa" . "$B$Q(B") ("pi" . "$B$T(B") ("pu" . "$B$W(B")
    ("pe" . "$B$Z(B") ("po" . "$B$](B") ("cna" . "$B$-$c(B") ("cni" . "$B$-$#(B") ("cnu" . "$B$-$e(B")
    ("cne" . "$B$-$'(B") ("cno" . "$B$-$g(B") ("kha" . "$B$-$c(B") ("khi" . "$B$-$#(B") ("khu" . "$B$-$e(B")
    ("khe" . "$B$-$'(B") ("kho" . "$B$-$g(B") ("kya" . "$B$-$c(B") ("kyi" . "$B$-$#(B") ("kyu" . "$B$-$e(B")
    ("kye" . "$B$-$'(B") ("kyo" . "$B$-$g(B") ("kwa" . "$B$/$!(B") ("qa" . "$B$/$!(B") ("qi" . "$B$/$#(B")
    ("qu" . "$B$/(B") ("qe" . "$B$/$'(B") ("qo" . "$B$/$)(B") ("qwa" . "$B$/$!(B") ("qwi" . "$B$/$#(B")
    ("qwu" . "$B$/$%(B") ("qwe" . "$B$/$'(B") ("qwo" . "$B$/$)(B") ("qya" . "$B$/$c(B") ("qyi" . "$B$/$#(B")
    ("qwu" . "$B$/$e(B") ("qwe" . "$B$/$'(B") ("qwo" . "$B$/$g(B") ("qha" . "$B$/$c(B") ("qhi" . "$B$/$#(B")
    ("qhu" . "$B$/$e(B") ("qhe" . "$B$/$'(B") ("qho" . "$B$/$g(B") ("sha" . "$B$7$c(B") ("shi" . "$B$7$#(B")
    ("shu" . "$B$7$e(B") ("she" . "$B$7$'(B") ("sho" . "$B$7$g(B") ("sya" . "$B$7$c(B") ("syi" . "$B$7$#(B")
    ("syu" . "$B$7$e(B") ("sye" . "$B$7$'(B") ("syo" . "$B$7$g(B") ("swa" . "$B$9$!(B") ("swi" . "$B$9$#(B")
    ("swu" . "$B$9$%(B") ("swe" . "$B$9$'(B") ("swo" . "$B$9$)(B") ("cha" . "$B$A$c(B") ("chi" . "$B$A(B")
    ("chu" . "$B$A$e(B") ("che" . "$B$A$'(B") ("cho" . "$B$A$g(B") ("tna" . "$B$A$c(B") ("tni" . "$B$A$#(B")
    ("tnu" . "$B$A$e(B") ("tne" . "$B$A$'(B") ("tno" . "$B$A$g(B") ("tya" . "$B$A$c(B") ("tyi" . "$B$A$#(B")
    ("tyu" . "$B$A$e(B") ("tye" . "$B$A$'(B") ("tyo" . "$B$A$g(B") ("tsa" . "$B$D$!(B") ("tsi" . "$B$D$#(B")
    ("tsu" . "$B$D(B") ("tse" . "$B$D$'(B") ("tso" . "$B$D$)(B") ("tha" . "$B$F$c(B") ("thi" . "$B$F$#(B")
    ("thu" . "$B$F$e(B") ("the" . "$B$F$'(B") ("tho" . "$B$F$g(B") ("twa" . "$B$H$!(B") ("twi" . "$B$H$#(B")
    ("twu" . "$B$H$%(B") ("twe" . "$B$H$'(B") ("two" . "$B$H$)(B") ("nha" . "$B$K$c(B") ("nhi" . "$B$K$#(B")
    ("nhu" . "$B$K$e(B") ("nhe" . "$B$K$'(B") ("nho" . "$B$K$g(B") ("nya" . "$B$K$c(B") ("nyi" . "$B$K$#(B")
    ("nyu" . "$B$K$e(B") ("nye" . "$B$K$'(B") ("nyo" . "$B$K$g(B") ("hya" . "$B$R$c(B") ("hyi" . "$B$R$#(B")
    ("hyu" . "$B$R$e(B") ("hye" . "$B$R$'(B") ("hyo" . "$B$R$g(B") ("hna" . "$B$R$c(B") ("hni" . "$B$R$#(B")
    ("hnu" . "$B$R$e(B") ("hne" . "$B$R$'(B") ("hno" . "$B$R$g(B") ("fa" . "$B$U$!(B") ("fi" . "$B$U$#(B")
    ("fu" . "$B$U(B") ("fe" . "$B$U$'(B") ("fo" . "$B$U$)(B") ("fwu" . "$B$U$%(B") ("fya" . "$B$U$c(B")
    ("fyi" . "$B$U$#(B") ("fyu" . "$B$U$e(B") ("fye" . "$B$U$'(B") ("fyo" . "$B$U$g(B") ("fna" . "$B$U$c(B")
    ("fni" . "$B$U$#(B") ("fnu" . "$B$U$e(B") ("fne" . "$B$U$'(B") ("fno" . "$B$U$g(B") ("mya" . "$B$_$c(B")
    ("myi" . "$B$_$#(B") ("myu" . "$B$_$e(B") ("mye" . "$B$_$'(B") ("myo" . "$B$_$g(B") ("mna" . "$B$_$c(B")
    ("mni" . "$B$_$#(B") ("mnu" . "$B$_$e(B") ("mne" . "$B$_$'(B") ("mno" . "$B$_$g(B") ("rya" . "$B$j$c(B")
    ("ryi" . "$B$j$#(B") ("ryu" . "$B$j$e(B") ("rye" . "$B$j$'(B") ("ryo" . "$B$j$g(B") ("rha" . "$B$j$c(B")
    ("rhi" . "$B$j$#(B") ("rhu" . "$B$j$e(B") ("rhe" . "$B$j$'(B") ("rho" . "$B$j$g(B") ("wha" . "$B$&$!(B")
    ("whi" . "$B$&$#(B") ("whu" . "$B$&(B") ("whe" . "$B$&$'(B") ("who" . "$B$&(B") ("gya" . "$B$.$c(B")
    ("gyi" . "$B$.$#(B") ("gyu" . "$B$.$e(B") ("gye" . "$B$.$'(B") ("gyo" . "$B$.$g(B") ("gna" . "$B$.$c(B")
    ("gni" . "$B$.$#(B") ("gnu" . "$B$.$e(B") ("gne" . "$B$.$'(B") ("gno" . "$B$.$g(B") ("gwa" . "$B$0$!(B")
    ("gwi" . "$B$0$#(B") ("gwe" . "$B$0$'(B") ("gwo" . "$B$0$)(B") ("zha" . "$B$8$c(B") ("zhi" . "$B$8$#(B")
    ("zhu" . "$B$8$e(B") ("zhe" . "$B$8$'(B") ("zho" . "$B$8$g(B") ("zya" . "$B$8$c(B") ("zyi" . "$B$8$#(B")
    ("zyu" . "$B$8$e(B") ("zye" . "$B$8$'(B") ("zyo" . "$B$8$g(B") ("jya" . "$B$8$c(B") ("jyi" . "$B$8$#(B")
    ("jyu" . "$B$8$e(B") ("jye" . "$B$8$'(B") ("jyo" . "$B$8$g(B") ("ja" . "$B$8$c(B") ("ji" . "$B$8(B")
    ("ju" . "$B$8$e(B") ("je" . "$B$8$'(B") ("jo" . "$B$8$g(B") ("dya" . "$B$B$c(B") ("dyi" . "$B$B$#(B")
    ("dyu" . "$B$B$e(B") ("dye" . "$B$B$'(B") ("dyo" . "$B$B$g(B") ("dna" . "$B$B$c(B") ("dni" . "$B$B$#(B")
    ("dnu" . "$B$B$e(B") ("dne" . "$B$B$'(B") ("dno" . "$B$B$g(B") ("dha" . "$B$G$c(B") ("dhi" . "$B$G$#(B")
    ("dhu" . "$B$G$e(B") ("dhe" . "$B$G$'(B") ("dho" . "$B$G$g(B") ("dwa" . "$B$I$!(B") ("dwi" . "$B$I$#(B")
    ("dwu" . "$B$I$%(B") ("dwe" . "$B$I$'(B") ("dwo" . "$B$I$)(B") ("bya" . "$B$S$c(B") ("byi" . "$B$S$#(B")
    ("byu" . "$B$S$e(B") ("bye" . "$B$S$'(B") ("byo" . "$B$S$g(B") ("bna" . "$B$S$c(B") ("bni" . "$B$S$#(B")
    ("bnu" . "$B$S$e(B") ("bne" . "$B$S$'(B") ("bno" . "$B$S$g(B") ("pya" . "$B$T$c(B") ("pyi" . "$B$T$#(B")
    ("pyu" . "$B$T$e(B") ("pye" . "$B$T$'(B") ("pyo" . "$B$T$g(B") ("pha" . "$B$T$c(B") ("phi" . "$B$T$#(B")
    ("phu" . "$B$T$e(B") ("phe" . "$B$T$'(B") ("pho" . "$B$T$g(B") ("va" . "$B%t%!(B") ("vi" . "$B%t%#(B")
    ("vu" . "$B%t(B") ("ve" . "$B%t%'(B") ("vo" . "$B%t%)(B") ("vya" . "$B%t%c(B") ("vyi" . "$B%t%#(B")
    ("vyu" . "$B%t%e(B") ("vye" . "$B%t%'(B") ("vyo" . "$B%t%g(B") ("vha" . "$B%t%c(B") ("vhi" . "$B%t%#(B")
    ("vhu" . "$B%t%e(B") ("vhe" . "$B%t%'(B") ("vho" . "$B%t%g(B") ("n" . "$B$s(B") ("nn" . "$B$s(B")
    ("c;" . "$B$+$s(B") ("cq" . "$B$3$s(B") ("cj" . "$B$1$s(B") ("ck" . "$B$/$s(B") ("cx" . "$B$-$s(B")
    ("c\'" . "$B$+$$(B") ("c," . "$B$3$&(B") ("c." . "$B$1$$(B") ("s;" . "$B$5$s(B") ("sq" . "$B$=$s(B")
    ("sj" . "$B$;$s(B") ("sk" . "$B$9$s(B") ("sx" . "$B$7$s(B") ("s\'" . "$B$5$$(B") ("s," . "$B$=$&(B")
    ("s." . "$B$;$$(B") ("t;" . "$B$?$s(B") ("tq" . "$B$H$s(B") ("tj" . "$B$F$s(B") ("tk" . "$B$D$s(B")
    ("tx" . "$B$A$s(B") ("t\'" . "$B$?$$(B") ("t," . "$B$H$&(B") ("t." . "$B$F$$(B") ("n;" . "$B$J$s(B")
    ("nq" . "$B$N$s(B") ("nj" . "$B$M$s(B") ("nk" . "$B$L$s(B") ("nx" . "$B$K$s(B") ("n\'" . "$B$J$$(B")
    ("n," . "$B$N$&(B") ("n." . "$B$M$$(B") ("h;" . "$B$O$s(B") ("hq" . "$B$[$s(B") ("hj" . "$B$X$s(B")
    ("hk" . "$B$U$s(B") ("hx" . "$B$R$s(B") ("h\'" . "$B$O$$(B") ("h," . "$B$[$&(B") ("h." . "$B$X$$(B")
    ("m;" . "$B$^$s(B") ("mq" . "$B$b$s(B") ("mj" . "$B$a$s(B") ("mk" . "$B$`$s(B") ("mx" . "$B$_$s(B")
    ("m\'" . "$B$^$$(B") ("m," . "$B$b$&(B") ("m." . "$B$a$$(B") ("y\'" . "$B$d$$(B") ("y," . "$B$h$&(B")
    ("y." . "$B$$$'$$(B") ("y;" . "$B$d$s(B") ("yq" . "$B$h$s(B") ("yj" . "$B$$$'$s(B") ("yk" . "$B$f$s(B")
    ("yx" . "$B$$$s(B") ("r;" . "$B$i$s(B") ("rq" . "$B$m$s(B") ("rj" . "$B$l$s(B") ("rk" . "$B$k$s(B")
    ("rx" . "$B$j$s(B") ("r\'" . "$B$i$$(B") ("r," . "$B$m$&(B") ("r." . "$B$l$$(B") ("w;" . "$B$o$s(B")
    ("wq" . "$B$r$s(B") ("wj" . "$B$&$'$s(B") ("wk" . "$B$&$s(B") ("wx" . "$B$&$#$s(B") ("w\'" . "$B$o$$(B")
    ("w," . "$B$r$&(B") ("w." . "$B$&$'$$(B") ("g;" . "$B$,$s(B") ("gq" . "$B$4$s(B") ("gj" . "$B$2$s(B")
    ("gk" . "$B$0$s(B") ("gx" . "$B$.$s(B") ("g\'" . "$B$,$$(B") ("g," . "$B$4$&(B") ("g." . "$B$2$$(B")
    ("z;" . "$B$6$s(B") ("zq" . "$B$>$s(B") ("zj" . "$B$<$s(B") ("zk" . "$B$:$s(B") ("zx" . "$B$8$s(B")
    ("z\'" . "$B$6$$(B") ("z," . "$B$>$&(B") ("z." . "$B$<$$(B") ("d;" . "$B$@$s(B") ("dq" . "$B$I$s(B")
    ("dj" . "$B$G$s(B") ("dk" . "$B$E$s(B") ("dx" . "$B$B$s(B") ("d\'" . "$B$@$$(B") ("d," . "$B$I$&(B")
    ("d." . "$B$G$$(B") ("b;" . "$B$P$s(B") ("bq" . "$B$\$s(B") ("bj" . "$B$Y$s(B") ("bk" . "$B$V$s(B")
    ("bx" . "$B$S$s(B") ("b\'" . "$B$P$$(B") ("b," . "$B$\$&(B") ("b." . "$B$Y$$(B") ("p;" . "$B$Q$s(B")
    ("pq" . "$B$]$s(B") ("pj" . "$B$Z$s(B") ("pk" . "$B$W$s(B") ("px" . "$B$T$s(B") ("p\'" . "$B$Q$$(B")
    ("p," . "$B$]$&(B") ("p." . "$B$Z$$(B") ("cn;" . "$B$-$c$s(B") ("cnq" . "$B$-$g$s(B") ("cnj" . "$B$-$'$s(B")
    ("cnk" . "$B$-$e$s(B") ("cnx" . "$B$-$#$s(B") ("cn\'" . "$B$-$c$$(B") ("cn," . "$B$-$g$&(B") ("cn." . "$B$-$'$$(B")
    ("ky;" . "$B$-$c$s(B") ("kyq" . "$B$-$g$s(B") ("kyj" . "$B$-$'$s(B") ("kyk" . "$B$-$e$s(B") ("kyx" . "$B$-$#$s(B")
    ("ky\'" . "$B$-$c$$(B") ("ky," . "$B$-$g$&(B") ("ky." . "$B$-$'$$(B") ("sh;" . "$B$7$c$s(B") ("shq" . "$B$7$g$s(B")
    ("shj" . "$B$7$'$s(B") ("shk" . "$B$7$e$s(B") ("shx" . "$B$7$#$s(B") ("sh\'" . "$B$7$c$$(B") ("sh," . "$B$7$g$&(B")
    ("sh." . "$B$7$'$$(B") ("ch;" . "$B$A$c$s(B") ("chq" . "$B$A$g$s(B") ("chj" . "$B$A$'$s(B") ("chk" . "$B$A$e$s(B")
    ("chx" . "$B$A$s(B") ("ch\'" . "$B$A$c$$(B") ("ch," . "$B$A$g$&(B") ("ch." . "$B$A$'$$(B") ("tn;" . "$B$A$c$s(B")
    ("tnq" . "$B$A$g$s(B") ("tnj" . "$B$A$'$s(B") ("tnk" . "$B$A$e$s(B") ("tnx" . "$B$A$#$s(B") ("tn\'" . "$B$A$c$$(B")
    ("tn," . "$B$A$g$&(B") ("tn." . "$B$A$'$$(B") ("th;" . "$B$F$c$s(B") ("thq" . "$B$F$g$s(B") ("thj" . "$B$F$'$s(B")
    ("thk" . "$B$F$e$s(B") ("thx" . "$B$F$#$s(B") ("th\'" . "$B$F$c$$(B") ("th," . "$B$F$g$&(B") ("th." . "$B$F$'$$(B")
    ("nh;" . "$B$K$c$s(B") ("nhq" . "$B$K$g$s(B") ("nhj" . "$B$K$'$s(B") ("nhk" . "$B$K$e$s(B") ("nhx" . "$B$K$#$s(B")
    ("nh\'" . "$B$K$c$$(B") ("nh," . "$B$K$g$&(B") ("nh." . "$B$K$'$$(B") ("hn;" . "$B$R$c$s(B") ("hnq" . "$B$R$g$s(B")
    ("hnj" . "$B$R$'$s(B") ("hnk" . "$B$R$e$s(B") ("hnx" . "$B$R$#$s(B") ("hn\'" . "$B$R$c$$(B") ("hn," . "$B$R$g$&(B")
    ("hn." . "$B$R$'$$(B") ("f;" . "$B$U$!$s(B") ("fq" . "$B$U$)$s(B") ("fj" . "$B$U$'$s(B") ("fk" . "$B$U$s(B")
    ("fx" . "$B$U$#$s(B") ("f\'" . "$B$U$!$$(B") ("f," . "$B$U$)$&(B") ("f." . "$B$U$'$$(B") ("mn;" . "$B$_$c$s(B")
    ("mnq" . "$B$_$g$s(B") ("mnj" . "$B$_$'$s(B") ("mnk" . "$B$_$e$s(B") ("mnx" . "$B$_$#$s(B") ("mn\'" . "$B$_$c$$(B")
    ("mn," . "$B$_$g$&(B") ("mn." . "$B$_$'$$(B") ("rh;" . "$B$j$c$s(B") ("rhq" . "$B$j$g$s(B") ("rhj" . "$B$j$'$s(B")
    ("rhk" . "$B$j$e$s(B") ("rhx" . "$B$j$#$s(B") ("rh\'" . "$B$j$c$$(B") ("rh," . "$B$j$g$&(B") ("rh." . "$B$j$'$$(B")
    ("gn;" . "$B$.$c$s(B") ("gnq" . "$B$.$g$s(B") ("gnj" . "$B$.$'$s(B") ("gnk" . "$B$.$e$s(B") ("gnx" . "$B$.$#$s(B")
    ("gn\'" . "$B$.$c$$(B") ("gn," . "$B$.$g$&(B") ("gn." . "$B$.$'$$(B") ("zh;" . "$B$8$c$s(B") ("zhq" . "$B$8$g$s(B")
    ("zhj" . "$B$8$'$s(B") ("zhk" . "$B$8$e$s(B") ("zhx" . "$B$8$#$s(B") ("zh\'" . "$B$8$c$$(B") ("zh," . "$B$8$g$&(B")
    ("zh." . "$B$8$'$$(B") ("dn;" . "$B$B$c$s(B") ("dnq" . "$B$B$g$s(B") ("dnj" . "$B$B$'$s(B") ("dnk" . "$B$B$e$s(B")
    ("dnx" . "$B$B$#$s(B") ("dn\'" . "$B$B$c$$(B") ("dn," . "$B$B$g$&(B") ("dn." . "$B$B$'$$(B") ("dh;" . "$B$G$c$s(B")
    ("dhq" . "$B$G$g$s(B") ("dhj" . "$B$G$'$s(B") ("dhk" . "$B$G$e$s(B") ("dhx" . "$B$G$#$s(B") ("dh\'" . "$B$G$c$$(B")
    ("dh," . "$B$G$g$&(B") ("dh." . "$B$G$'$$(B") ("bn;" . "$B$S$c$s(B") ("bnq" . "$B$S$g$s(B") ("bnj" . "$B$S$'$s(B")
    ("bnk" . "$B$S$e$s(B") ("bnx" . "$B$S$#$s(B") ("bn\'" . "$B$S$c$$(B") ("bn," . "$B$S$g$&(B") ("bn." . "$B$S$'$$(B")
    ("ph;" . "$B$T$c$s(B") ("phq" . "$B$T$g$s(B") ("phj" . "$B$T$'$s(B") ("phk" . "$B$T$e$s(B") ("phx" . "$B$T$#$s(B")
    ("ph\'" . "$B$T$c$$(B") ("ph," . "$B$T$g$&(B") ("ph." . "$B$T$'$$(B") ("v;" . "$B%t%!%s(B") ("vq" . "$B%t%)%s(B")
    ("vj" . "$B%t%'%s(B") ("vk" . "$B%t%s(B") ("vx" . "$B%t%#%s(B") ("v\'" . "$B%t%!%$(B") ("v," . "$B%t%)%&(B")
    ("v." . "$B%t%'%$(B")
    ))

(defun anthy-dvorakjp-mode ()
  (interactive)
  (setq anthy-select-candidate-keybind
	'((0 . "a")
	  (1 . "o")
	  (2 . "e")
	  (3 . "u")
	  (4 . "i")
	  (5 . "d")
	  (6 . "h")
	  (7 . "t")
	  (8 . "n")
	  (9 . "s")))
  (anthy-send-change-toggle-command "!")
  (mapcar (lambda (x)
	    (anthy-change-hiragana-map (car x) (cdr x)))
	  anthy-dvorakjp-mode-hiragana-map)
  (anthy-hiragana-map))
